from enum import Enum

__all__ = ["CategoryGroup", "LandingVersion", "ServiceItemType", "Feature"]


class LandingVersion(Enum):
    STABLE = "STABLE"
    UNSTABLE = "UNSTABLE"


class CategoryGroup(Enum):
    CAFE = "CAFE"
    BEAUTY = "BEAUTY"
    OTHER = "OTHER"


class ServiceItemType(Enum):
    PROMOTED = "PROMOTED"
    MARKET = "MARKET"


class Feature(Enum):
    TEST = "test"
    RETURN_200_FOR_UNPUBLISHED = "RETURN_200_FOR_UNPUBLISHED"
    USE_LOADED_GOOGLE_COUNTERS = "USE_LOADED_GOOGLE_COUNTERS"
    USE_LOADED_GEOSEARCH_DATA = "USE_LOADED_GEOSEARCH_DATA"
    LOAD_GEOSEARCH_DATA = "LOAD_GEOSEARCH_DATA"
    USE_LOADED_MARKET_INT_DATA = "USE_LOADED_MARKET_INT_DATA"
    USE_LOADED_TIKTOK_PIXELS = "USE_LOADED_TIKTOK_PIXELS"
    USE_GOODS = "USE_GOODS"
